REQUIREMENTS update.
authorAndre Noll <maan@systemlinux.org>
Fri, 10 Oct 2008 16:47:47 +0000 (18:47 +0200)
committerAndre Noll <maan@systemlinux.org>
Fri, 10 Oct 2008 16:47:47 +0000 (18:47 +0200)
Mention that the libmad development package is called libmad0-dev and
reformat the section on id3 tags so that grutatext indents it nicely.

REQUIREMENTS

index a83c4f3..4fd2568 100644 (file)
@@ -19,17 +19,19 @@ In any case you need
 Optional features:
 
        - *mp3*: The mp3 decoder of para_filter is based on libmad:
-         http://www.underbit.com/products/mad/. If you prefer to use
-         the libmad package provided by your distributor, make sure
-         to install the corresponding development package as well.
-
-         For version 2 id3 tag support, you'll need libid3tag which
-         is also available through the above link. Without libid3tag,
-         only version 1 tags are recognized.
-
+         http://www.underbit.com/products/mad/. If you prefer to
+         use the libmad package provided by your distributor, make
+         sure to install the corresponding development package as
+         well. It is called libmad0-dev on debian-based systems.
          Note that libmad is not necessary for the server side,
          i.e. for sending mp3 files.
 
+       - *id3 tags*:
+         For version-2 id3 tag support, you'll need libid3tag which
+         is also available through the above link (alternatively:
+         install package libid3tag0). Without libid3tag, only version
+         one tags are recognized.
+
        - *ogg vorbis*: For ogg vorbis streams you'll need libogg,
          libvorbis, libvorbisfile: http://www.xiph.org/downloads/.
          The corresponding Debian packages are called libogg-dev